### Method

# WebKit NetworkSession is_ephemeral

since: 2.40

#### Declaration [src]

    gboolean
    webkit_network_session_is_ephemeral (
      WebKitNetworkSession* session
    )

#### Description [src]

Get whether `session` is ephemeral. A `WebKitNetworkSession` is ephemeral when its `WebKitWebsiteDataManager` is ephemeral. See `WebKitWebsiteDataManager:is-ephemeral` for more details.

Available since: 2.40

#### Return value

Type: `gboolean`

`TRUE` if `session` is pehmeral, or `FALSE` otherwise.